---
title: line-break
slug: Web/CSS/line-break
tags:
  - Asian
  - CSS
  - CSS Property
  - CSS Text
  - NeedsExample
  - Reference
  - i18n
  - l10n
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>line-break</code></strong> CSS property sets how to break lines of Chinese, Japanese, or Korean (CJK) text when working with punctuation and symbols.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
line-break: auto;
line-break: loose;
line-break: normal;
line-break: strict;
line-break: anywhere;

/* Global values */
line-break: inherit;
line-break: initial;
line-break: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Break text using the default line break rule.</dd>
 <dt><code>loose</code></dt>
 <dd>Break text using the least restrictive line break rule. Typically used for short lines, such as in newspapers.</dd>
 <dt><code>normal</code></dt>
 <dd>Break text using the most common line break rule.</dd>
 <dt><code>strict</code></dt>
 <dd>Break text using the most stringent line break rule.</dd>
 <dt><code>anywhere</code></dt>
 <dd>
 <p>There is a soft wrap opportunity around every typographic character unit, including around any punctuation character or preserved white spaces, or in the middle of words, disregarding any prohibition against line breaks, even those introduced by characters with the GL, WJ, or ZWJ character class or mandated by the {{cssxref("word-break")}} property. The different wrapping opportunities must not be prioritized. Hyphenation is not applied.</p>
 </dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_text_wrapping">Setting text wrapping</h3>

<p>See whether the text is wrapped before "々", "ぁ" and "。".</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div lang="ja"&gt;
  &lt;p class="wrapbox auto"&gt;auto:&lt;br&gt;そこは湖のほとりで木々が輝いていた。&lt;br&gt;その景色に、美しいなぁと思わずつぶやいた。&lt;/p&gt;
  &lt;p class="wrapbox loose"&gt;loose:&lt;br&gt;そこは湖のほとりで木々が輝いていた。&lt;br&gt;その景色に、美しいなぁと思わずつぶやいた。&lt;/p&gt;
  &lt;p class="wrapbox normal"&gt;normal:&lt;br&gt;そこは湖のほとりで木々が輝いていた。&lt;br&gt;その景色に、美しいなぁと思わずつぶやいた。&lt;/p&gt;
  &lt;p class="wrapbox strict"&gt;strict:&lt;br&gt;そこは湖のほとりで木々が輝いていた。&lt;br&gt;その景色に、美しいなぁと思わずつぶやいた。&lt;/p&gt;
  &lt;p class="wrapbox anywhere"&gt;anywhere:&lt;br&gt;そこは湖のほとりで木々が輝いていた。&lt;br&gt;その景色に、美しいなぁと思わずつぶやいた。&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.wrapbox { width: 10em; margin: 0.5em; white-space: normal; vertical-align: top; display: inline-block; }
.auto { line-break: auto; }
.loose { line-break: loose; }
.normal { line-break: normal; }
.strict { line-break: strict; }
.anywhere { line-break: anywhere; }
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_text_wrapping', 200, 400) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text', '#line-break-property', 'line-break')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.line-break")}}</p>

<ul>
  <li><a href="https://www.w3.org/International/articles/css3-text/">CSS and International text</a></li>
</ul>
